io.vertx.ext.consul

## Interface ConsulService

- All Superinterfaces:
    ConsulClient

      public interface ConsulService
      extends ConsulClient

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConsulService` | `agentInfo(Handler<AsyncResult<JsonObject>> resultHandler)` Returns the configuration and member information of the local agent
    `ConsulService` | `catalogDatacenters(Handler<AsyncResult<List<String>>> resultHandler)` Return all the datacenters that are known by the Consul server
    `ConsulService` | `catalogNodes(Handler<AsyncResult<NodeList>> resultHandler)` Returns the nodes registered in a datacenter
    `ConsulService` | `catalogNodeServices(String node, Handler<AsyncResult<ServiceList>> resultHandler)` Returns the node's registered services
    `ConsulService` | `catalogNodeServicesWithOptions(String node, BlockingQueryOptions options, Handler<AsyncResult<ServiceList>> resultHandler)` Returns the node's registered services This is blocking query unlike `ConsulClient.catalogNodeServices(String, Handler)`
    `ConsulService` | `catalogNodesWithOptions(NodeQueryOptions options, Handler<AsyncResult<NodeList>> resultHandler)` Returns the nodes registered in a datacenter
    `ConsulService` | `catalogServiceNodes(String service, Handler<AsyncResult<ServiceList>> resultHandler)` Returns the nodes providing a service
    `ConsulService` | `catalogServiceNodesWithOptions(String service, ServiceQueryOptions options, Handler<AsyncResult<ServiceList>> resultHandler)` Returns the nodes providing a service
    `ConsulService` | `catalogServices(Handler<AsyncResult<ServiceList>> resultHandler)` Returns the services registered in a datacenter
    `ConsulService` | `catalogServicesWithOptions(BlockingQueryOptions options, Handler<AsyncResult<ServiceList>> resultHandler)` Returns the services registered in a datacenter This is blocking query unlike `ConsulClient.catalogServices(Handler)`
    `ConsulService` | `cloneAclToken(String id, Handler<AsyncResult<String>> idHandler)` Clone Acl token
    `void` | `close()` Close the client and release its resources
    `ConsulService` | `coordinateDatacenters(Handler<AsyncResult<List<DcCoordinates>>> resultHandler)` Returns the WAN network coordinates for all Consul servers, organized by DCs
    `ConsulService` | `coordinateNodes(Handler<AsyncResult<CoordinateList>> resultHandler)` Returns the LAN network coordinates for all nodes in a given DC
    `ConsulService` | `coordinateNodesWithOptions(BlockingQueryOptions options, Handler<AsyncResult<CoordinateList>> resultHandler)` Returns the LAN network coordinates for all nodes in a given DC This is blocking query unlike `ConsulClient.coordinateNodes(Handler)`
    `ConsulService` | `createAclToken(AclToken token, Handler<AsyncResult<String>> idHandler)` Create new Acl token
    `static ConsulService` | `createEventBusProxy(Vertx vertx, String address)` Create a proxy to a service that is deployed somewhere on the event bus
    `ConsulService` | `createPreparedQuery(PreparedQueryDefinition definition, Handler<AsyncResult<String>> resultHandler)`
    `ConsulService` | `createSession(Handler<AsyncResult<String>> idHandler)` Initialize a new session
    `ConsulService` | `createSessionWithOptions(SessionOptions options, Handler<AsyncResult<String>> idHandler)` Initialize a new session
    `ConsulService` | `deletePreparedQuery(String id, Handler<AsyncResult<Void>> resultHandler)` Deletes an existing prepared query
    `ConsulService` | `deleteValue(String key, Handler<AsyncResult<Void>> resultHandler)` Remove the key/value pair that corresponding to the specified key
    `ConsulService` | `deleteValues(String keyPrefix, Handler<AsyncResult<Void>> resultHandler)` Removes all the key/value pair that corresponding to the specified key prefix
    `ConsulService` | `deregisterCheck(String checkId, Handler<AsyncResult<Void>> resultHandler)` Remove a check from the local agent.
    `ConsulService` | `deregisterService(String id, Handler<AsyncResult<Void>> resultHandler)` Remove a service from the local agent.
    `ConsulService` | `destroyAclToken(String id, Handler<AsyncResult<Void>> resultHandler)` Destroy Acl token
    `ConsulService` | `destroySession(String id, Handler<AsyncResult<Void>> resultHandler)` Destroys the given session
    `ConsulService` | `executePreparedQuery(String query, Handler<AsyncResult<PreparedQueryExecuteResponse>> resultHandler)` Executes an existing prepared query.
    `ConsulService` | `executePreparedQueryWithOptions(String query, PreparedQueryExecuteOptions options, Handler<AsyncResult<PreparedQueryExecuteResponse>> resultHandler)` Executes an existing prepared query.
    `ConsulService` | `failCheck(String checkId, Handler<AsyncResult<Void>> resultHandler)` Set status of the check to "critical".
    `ConsulService` | `failCheckWithNote(String checkId, String note, Handler<AsyncResult<Void>> resultHandler)` Set status of the check to "critical".
    `ConsulService` | `fireEvent(String name, Handler<AsyncResult<Event>> resultHandler)` Fires a new user event
    `ConsulService` | `fireEventWithOptions(String name, EventOptions options, Handler<AsyncResult<Event>> resultHandler)` Fires a new user event
    `ConsulService` | `getAllPreparedQueries(Handler<AsyncResult<List<PreparedQueryDefinition>>> resultHandler)` Returns a list of all prepared queries.
    `ConsulService` | `getKeys(String keyPrefix, Handler<AsyncResult<List<String>>> resultHandler)` Returns the list of keys that corresponding to the specified key prefix.
    `ConsulService` | `getKeysWithOptions(String keyPrefix, BlockingQueryOptions options, Handler<AsyncResult<List<String>>> resultHandler)` Returns the list of keys that corresponding to the specified key prefix.
    `ConsulService` | `getPreparedQuery(String id, Handler<AsyncResult<PreparedQueryDefinition>> resultHandler)` Returns an existing prepared query
    `ConsulService` | `getValue(String key, Handler<AsyncResult<KeyValue>> resultHandler)` Returns key/value pair that corresponding to the specified key.
    `ConsulService` | `getValues(String keyPrefix, Handler<AsyncResult<KeyValueList>> resultHandler)` Returns the list of key/value pairs that corresponding to the specified key prefix.
    `ConsulService` | `getValuesWithOptions(String keyPrefix, BlockingQueryOptions options, Handler<AsyncResult<KeyValueList>> resultHandler)` Returns the list of key/value pairs that corresponding to the specified key prefix.
    `ConsulService` | `getValueWithOptions(String key, BlockingQueryOptions options, Handler<AsyncResult<KeyValue>> resultHandler)` Returns key/value pair that corresponding to the specified key.
    `ConsulService` | `healthChecks(String service, Handler<AsyncResult<CheckList>> resultHandler)` Returns the checks associated with the service
    `ConsulService` | `healthChecksWithOptions(String service, CheckQueryOptions options, Handler<AsyncResult<CheckList>> resultHandler)` Returns the checks associated with the service
    `ConsulService` | `healthServiceNodes(String service, boolean passing, Handler<AsyncResult<ServiceEntryList>> resultHandler)` Returns the nodes providing the service.
    `ConsulService` | `healthServiceNodesWithOptions(String service, boolean passing, ServiceQueryOptions options, Handler<AsyncResult<ServiceEntryList>> resultHandler)` Returns the nodes providing the service.
    `ConsulService` | `healthState(HealthState healthState, Handler<AsyncResult<CheckList>> handler)` Returns the checks in the specified status
    `ConsulService` | `healthStateWithOptions(HealthState healthState, CheckQueryOptions checkQueryOptions, Handler<AsyncResult<CheckList>> handler)` Returns the checks in the specified status
    `ConsulService` | `infoAclToken(String id, Handler<AsyncResult<AclToken>> tokenHandler)` Get info of Acl token
    `ConsulService` | `infoSession(String id, Handler<AsyncResult<Session>> resultHandler)` Returns the requested session information
    `ConsulService` | `infoSessionWithOptions(String id, BlockingQueryOptions options, Handler<AsyncResult<Session>> resultHandler)` Returns the requested session information This is blocking query unlike `ConsulClient.infoSession(String, Handler)`
    `ConsulService` | `leaderStatus(Handler<AsyncResult<String>> resultHandler)` Get the Raft leader for the datacenter in which the agent is running.
    `ConsulService` | `listAclTokens(Handler<AsyncResult<List<AclToken>>> resultHandler)` Get list of Acl token
    `ConsulService` | `listEvents(Handler<AsyncResult<EventList>> resultHandler)` Returns the most recent events known by the agent
    `ConsulService` | `listEventsWithOptions(EventListOptions options, Handler<AsyncResult<EventList>> resultHandler)` Returns the most recent events known by the agent.
    `ConsulService` | `listNodeSessions(String nodeId, Handler<AsyncResult<SessionList>> resultHandler)` Returns the active sessions for a given node
    `ConsulService` | `listNodeSessionsWithOptions(String nodeId, BlockingQueryOptions options, Handler<AsyncResult<SessionList>> resultHandler)` Returns the active sessions for a given node This is blocking query unlike `ConsulClient.listNodeSessions(String, Handler)`
    `ConsulService` | `listSessions(Handler<AsyncResult<SessionList>> resultHandler)` Returns the active sessions
    `ConsulService` | `listSessionsWithOptions(BlockingQueryOptions options, Handler<AsyncResult<SessionList>> resultHandler)` Returns the active sessions This is blocking query unlike `ConsulClient.listSessions(Handler)`
    `ConsulService` | `localChecks(Handler<AsyncResult<List<Check>>> resultHandler)` Return all the checks that are registered with the local agent.
    `ConsulService` | `localServices(Handler<AsyncResult<List<Service>>> resultHandler)` Returns list of services registered with the local agent.
    `ConsulService` | `maintenanceService(MaintenanceOptions maintenanceOptions, Handler<AsyncResult<Void>> resultHandler)` Places a given service into "maintenance mode"
    `ConsulService` | `passCheck(String checkId, Handler<AsyncResult<Void>> resultHandler)` Set status of the check to "passing".
    `ConsulService` | `passCheckWithNote(String checkId, String note, Handler<AsyncResult<Void>> resultHandler)` Set status of the check to "passing".
    `ConsulService` | `peersStatus(Handler<AsyncResult<List<String>>> resultHandler)` Retrieves the Raft peers for the datacenter in which the the agent is running.
    `ConsulService` | `putValue(String key, String value, Handler<AsyncResult<Boolean>> resultHandler)` Adds specified key/value pair
    `ConsulService` | `putValueWithOptions(String key, String value, KeyValueOptions options, Handler<AsyncResult<Boolean>> resultHandler)`
    `ConsulService` | `registerCheck(CheckOptions checkOptions, Handler<AsyncResult<Void>> resultHandler)` Add a new check to the local agent.
    `ConsulService` | `registerService(ServiceOptions serviceOptions, Handler<AsyncResult<Void>> resultHandler)` Adds a new service, with an optional health check, to the local agent.
    `ConsulService` | `renewSession(String id, Handler<AsyncResult<Session>> resultHandler)` Renews the given session.
    `ConsulService` | `transaction(TxnRequest request, Handler<AsyncResult<TxnResponse>> resultHandler)` Manages multiple operations inside a single, atomic transaction.
    `ConsulService` | `updateAclToken(AclToken token, Handler<AsyncResult<String>> idHandler)` Update Acl token
    `ConsulService` | `updateCheck(String checkId, CheckStatus status, Handler<AsyncResult<Void>> resultHandler)` Set status of the check to given status.
    `ConsulService` | `updateCheckWithNote(String checkId, CheckStatus status, String note, Handler<AsyncResult<Void>> resultHandler)` Set status of the check to given status.
    `ConsulService` | `updatePreparedQuery(PreparedQueryDefinition definition, Handler<AsyncResult<Void>> resultHandler)`
    `ConsulService` | `warnCheck(String checkId, Handler<AsyncResult<Void>> resultHandler)` Set status of the check to "warning".
    `ConsulService` | `warnCheckWithNote(String checkId, String note, Handler<AsyncResult<Void>> resultHandler)` Set status of the check to "warning".

    - ### Methods inherited from interface io.vertx.ext.consul.ConsulClient

      `create, create`

- - ### Method Detail

    - #### createEventBusProxy

          static ConsulService createEventBusProxy(Vertx vertx,
                                                   String address)

      Create a proxy to a service that is deployed somewhere on the event bus
      Parameters:
        `vertx` - the Vert.x instance
        `address` - the address the service is listening on on the event bus
      Returns:
        the service

    - #### agentInfo

          ConsulService agentInfo(Handler<AsyncResult<JsonObject>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the configuration and member information of the local agent
      Specified by:
        `agentInfo` in interface `ConsulClient`
      Parameters:
        `resultHandler` - will be provided with the configuration and member information of the local agent
      Returns:
        reference to this, for fluency
      See Also:
        /v1/agent/self endpoint

    - #### coordinateNodes

          ConsulService coordinateNodes(Handler<AsyncResult<CoordinateList>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the LAN network coordinates for all nodes in a given DC
      Specified by:
        `coordinateNodes` in interface `ConsulClient`
      Parameters:
        `resultHandler` - will be provided with network coordinates of nodes in datacenter
      Returns:
        reference to this, for fluency
      See Also:
        /v1/coordinate/nodes endpoint

    - #### coordinateNodesWithOptions

          ConsulService coordinateNodesWithOptions(BlockingQueryOptions options,
                                                   Handler<AsyncResult<CoordinateList>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the LAN network coordinates for all nodes in a given DC This is blocking query unlike `ConsulClient.coordinateNodes(Handler)`
      Specified by:
        `coordinateNodesWithOptions` in interface `ConsulClient`
      Parameters:
        `options` - the blocking options
        `resultHandler` - will be provided with network coordinates of nodes in datacenter
      Returns:
        reference to this, for fluency
      See Also:
        /v1/coordinate/nodes endpoint

    - #### coordinateDatacenters

          ConsulService coordinateDatacenters(Handler<AsyncResult<List<DcCoordinates>>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the WAN network coordinates for all Consul servers, organized by DCs
      Specified by:
        `coordinateDatacenters` in interface `ConsulClient`
      Parameters:
        `resultHandler` - will be provided with network coordinates for all Consul servers
      Returns:
        reference to this, for fluency
      See Also:
        /v1/coordinate/datacenters endpoint

    - #### getKeys

          ConsulService getKeys(String keyPrefix,
                                Handler<AsyncResult<List<String>>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the list of keys that corresponding to the specified key prefix.
      Specified by:
        `getKeys` in interface `ConsulClient`
      Parameters:
        `keyPrefix` - the prefix
        `resultHandler` - will be provided with keys list
      Returns:
        reference to this, for fluency
      See Also:
        /v1/kv/:key endpoint

    - #### getKeysWithOptions

          ConsulService getKeysWithOptions(String keyPrefix,
                                           BlockingQueryOptions options,
                                           Handler<AsyncResult<List<String>>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the list of keys that corresponding to the specified key prefix.
      Specified by:
        `getKeysWithOptions` in interface `ConsulClient`
      Parameters:
        `keyPrefix` - the prefix
        `options` - the blocking options
        `resultHandler` - will be provided with keys list
      Returns:
        reference to this, for fluency
      See Also:
        /v1/kv/:key endpoint

    - #### getValue

          ConsulService getValue(String key,
                                 Handler<AsyncResult<KeyValue>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns key/value pair that corresponding to the specified key. An empty `KeyValue` object will be returned if no such key is found.
      Specified by:
        `getValue` in interface `ConsulClient`
      Parameters:
        `key` - the key
        `resultHandler` - will be provided with key/value pair
      Returns:
        reference to this, for fluency
      See Also:
        /v1/kv/:key endpoint

    - #### getValueWithOptions

          ConsulService getValueWithOptions(String key,
                                            BlockingQueryOptions options,
                                            Handler<AsyncResult<KeyValue>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns key/value pair that corresponding to the specified key. An empty `KeyValue` object will be returned if no such key is found. This is blocking query unlike `ConsulClient.getValue(String, Handler)`
      Specified by:
        `getValueWithOptions` in interface `ConsulClient`
      Parameters:
        `key` - the key
        `options` - the blocking options
        `resultHandler` - will be provided with key/value pair
      Returns:
        reference to this, for fluency
      See Also:
        /v1/kv/:key endpoint

    - #### deleteValue

          ConsulService deleteValue(String key,
                                    Handler<AsyncResult<Void>> resultHandler)

      Description copied from interface: `ConsulClient`
      Remove the key/value pair that corresponding to the specified key
      Specified by:
        `deleteValue` in interface `ConsulClient`
      Parameters:
        `key` - the key
        `resultHandler` - will be called on complete
      Returns:
        reference to this, for fluency
      See Also:
        /v1/kv/:key endpoint

    - #### getValues

          ConsulService getValues(String keyPrefix,
                                  Handler<AsyncResult<KeyValueList>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the list of key/value pairs that corresponding to the specified key prefix. An empty `KeyValueList` object will be returned if no such key prefix is found.
      Specified by:
        `getValues` in interface `ConsulClient`
      Parameters:
        `keyPrefix` - the prefix
        `resultHandler` - will be provided with list of key/value pairs
      Returns:
        reference to this, for fluency
      See Also:
        /v1/kv/:key endpoint

    - #### getValuesWithOptions

          ConsulService getValuesWithOptions(String keyPrefix,
                                             BlockingQueryOptions options,
                                             Handler<AsyncResult<KeyValueList>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the list of key/value pairs that corresponding to the specified key prefix. An empty `KeyValueList` object will be returned if no such key prefix is found. This is blocking query unlike `ConsulClient.getValues(String, Handler)`
      Specified by:
        `getValuesWithOptions` in interface `ConsulClient`
      Parameters:
        `keyPrefix` - the prefix
        `options` - the blocking options
        `resultHandler` - will be provided with list of key/value pairs
      Returns:
        reference to this, for fluency
      See Also:
        /v1/kv/:key endpoint

    - #### deleteValues

          ConsulService deleteValues(String keyPrefix,
                                     Handler<AsyncResult<Void>> resultHandler)

      Description copied from interface: `ConsulClient`
      Removes all the key/value pair that corresponding to the specified key prefix
      Specified by:
        `deleteValues` in interface `ConsulClient`
      Parameters:
        `keyPrefix` - the prefix
        `resultHandler` - will be called on complete
      Returns:
        reference to this, for fluency
      See Also:
        /v1/kv/:key endpoint

    - #### putValue

          ConsulService putValue(String key,
                                 String value,
                                 Handler<AsyncResult<Boolean>> resultHandler)

      Description copied from interface: `ConsulClient`
      Adds specified key/value pair
      Specified by:
        `putValue` in interface `ConsulClient`
      Parameters:
        `key` - the key
        `value` - the value
        `resultHandler` - will be provided with success of operation
      Returns:
        reference to this, for fluency
      See Also:
        /v1/kv/:key endpoint

    - #### putValueWithOptions

          ConsulService putValueWithOptions(String key,
                                            String value,
                                            KeyValueOptions options,
                                            Handler<AsyncResult<Boolean>> resultHandler)

      Specified by:
        `putValueWithOptions` in interface `ConsulClient`
      Parameters:
        `key` - the key
        `value` - the value
        `options` - options used to push pair
        `resultHandler` - will be provided with success of operation
      Returns:
        reference to this, for fluency
      See Also:
        /v1/kv/:key endpoint

    - #### transaction

          ConsulService transaction(TxnRequest request,
                                    Handler<AsyncResult<TxnResponse>> resultHandler)

      Description copied from interface: `ConsulClient`
      Manages multiple operations inside a single, atomic transaction.
      Specified by:
        `transaction` in interface `ConsulClient`
      Parameters:
        `request` - transaction request
        `resultHandler` - will be provided with result of transaction
      Returns:
        reference to this, for fluency
      See Also:
        /v1/txn endpoint

    - #### createAclToken

          ConsulService createAclToken(AclToken token,
                                       Handler<AsyncResult<String>> idHandler)

      Description copied from interface: `ConsulClient`
      Create new Acl token
      Specified by:
        `createAclToken` in interface `ConsulClient`
      Parameters:
        `token` - properties of the token
        `idHandler` - will be provided with ID of created token
      Returns:
        reference to this, for fluency
      See Also:
        /v1/acl/create endpoint

    - #### updateAclToken

          ConsulService updateAclToken(AclToken token,
                                       Handler<AsyncResult<String>> idHandler)

      Description copied from interface: `ConsulClient`
      Update Acl token
      Specified by:
        `updateAclToken` in interface `ConsulClient`
      Parameters:
        `token` - properties of the token to be updated
        `idHandler` - will be provided with ID of updated
      Returns:
        reference to this, for fluency
      See Also:
        /v1/acl/update endpoint

    - #### cloneAclToken

          ConsulService cloneAclToken(String id,
                                      Handler<AsyncResult<String>> idHandler)

      Description copied from interface: `ConsulClient`
      Clone Acl token
      Specified by:
        `cloneAclToken` in interface `ConsulClient`
      Parameters:
        `id` - the ID of token to be cloned
        `idHandler` - will be provided with ID of cloned token
      Returns:
        reference to this, for fluency
      See Also:
        /v1/acl/clone/:uuid endpoint

    - #### listAclTokens

          ConsulService listAclTokens(Handler<AsyncResult<List<AclToken>>> resultHandler)

      Description copied from interface: `ConsulClient`
      Get list of Acl token
      Specified by:
        `listAclTokens` in interface `ConsulClient`
      Parameters:
        `resultHandler` - will be provided with list of tokens
      Returns:
        reference to this, for fluency
      See Also:
        /v1/acl/list endpoint

    - #### infoAclToken

          ConsulService infoAclToken(String id,
                                     Handler<AsyncResult<AclToken>> tokenHandler)

      Description copied from interface: `ConsulClient`
      Get info of Acl token
      Specified by:
        `infoAclToken` in interface `ConsulClient`
      Parameters:
        `id` - the ID of token
        `tokenHandler` - will be provided with token
      Returns:
        reference to this, for fluency
      See Also:
        /v1/acl/info/:uuid endpoint

    - #### destroyAclToken

          ConsulService destroyAclToken(String id,
                                        Handler<AsyncResult<Void>> resultHandler)

      Description copied from interface: `ConsulClient`
      Destroy Acl token
      Specified by:
        `destroyAclToken` in interface `ConsulClient`
      Parameters:
        `id` - the ID of token
        `resultHandler` - will be called on complete
      Returns:
        reference to this, for fluency
      See Also:
        /v1/acl/destroy/:uuid endpoint

    - #### fireEvent

          ConsulService fireEvent(String name,
                                  Handler<AsyncResult<Event>> resultHandler)

      Description copied from interface: `ConsulClient`
      Fires a new user event
      Specified by:
        `fireEvent` in interface `ConsulClient`
      Parameters:
        `name` - name of event
        `resultHandler` - will be provided with properties of event
      Returns:
        reference to this, for fluency
      See Also:
        /v1/event/fire/:name endpoint

    - #### fireEventWithOptions

          ConsulService fireEventWithOptions(String name,
                                             EventOptions options,
                                             Handler<AsyncResult<Event>> resultHandler)

      Description copied from interface: `ConsulClient`
      Fires a new user event
      Specified by:
        `fireEventWithOptions` in interface `ConsulClient`
      Parameters:
        `name` - name of event
        `options` - options used to create event
        `resultHandler` - will be provided with properties of event
      Returns:
        reference to this, for fluency
      See Also:
        /v1/event/fire/:name endpoint

    - #### listEvents

          ConsulService listEvents(Handler<AsyncResult<EventList>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the most recent events known by the agent
      Specified by:
        `listEvents` in interface `ConsulClient`
      Parameters:
        `resultHandler` - will be provided with list of events
      Returns:
        reference to this, for fluency
      See Also:
        /v1/event/list endpoint

    - #### listEventsWithOptions

          ConsulService listEventsWithOptions(EventListOptions options,
                                              Handler<AsyncResult<EventList>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the most recent events known by the agent. This is blocking query unlike `ConsulClient.listEvents(Handler)`. However, the semantics of this endpoint are slightly different. Most blocking queries provide a monotonic index and block until a newer index is available. This can be supported as a consequence of the total ordering of the consensus protocol. With gossip, there is no ordering, and instead `X-Consul-Index` maps to the newest event that matches the query.

      In practice, this means the index is only useful when used against a single agent and has no meaning globally. Because Consul defines the index as being opaque, clients should not be expecting a natural ordering either.

      Specified by:
        `listEventsWithOptions` in interface `ConsulClient`
      Parameters:
        `options` - the blocking options
        `resultHandler` - will be provided with list of events
      Returns:
        reference to this, for fluency
      See Also:
        /v1/event/list endpoint

    - #### registerService

          ConsulService registerService(ServiceOptions serviceOptions,
                                        Handler<AsyncResult<Void>> resultHandler)

      Description copied from interface: `ConsulClient`
      Adds a new service, with an optional health check, to the local agent.
      Specified by:
        `registerService` in interface `ConsulClient`
      Parameters:
        `serviceOptions` - the options of new service
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency
      See Also:
        /v1/agent/service/register endpoint, `ServiceOptions`

    - #### maintenanceService

          ConsulService maintenanceService(MaintenanceOptions maintenanceOptions,
                                           Handler<AsyncResult<Void>> resultHandler)

      Description copied from interface: `ConsulClient`
      Places a given service into "maintenance mode"
      Specified by:
        `maintenanceService` in interface `ConsulClient`
      Parameters:
        `maintenanceOptions` - the maintenance options
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency
      See Also:
        /v1/agent/service/maintenance/:service_id endpoint, `MaintenanceOptions`

    - #### deregisterService

          ConsulService deregisterService(String id,
                                          Handler<AsyncResult<Void>> resultHandler)

      Description copied from interface: `ConsulClient`
      Remove a service from the local agent. The agent will take care of deregistering the service with the Catalog. If there is an associated check, that is also deregistered.
      Specified by:
        `deregisterService` in interface `ConsulClient`
      Parameters:
        `id` - the ID of service
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency
      See Also:
        /v1/agent/service/deregister/:service_id endpoint

    - #### healthChecks

          ConsulService healthChecks(String service,
                                     Handler<AsyncResult<CheckList>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the checks associated with the service
      Specified by:
        `healthChecks` in interface `ConsulClient`
      Parameters:
        `service` - the service name
        `resultHandler` - will be provided with list of checks
      Returns:
        reference to this, for fluency
      See Also:
        /v1/health/checks/:service endpoint

    - #### healthChecksWithOptions

          ConsulService healthChecksWithOptions(String service,
                                                CheckQueryOptions options,
                                                Handler<AsyncResult<CheckList>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the checks associated with the service
      Specified by:
        `healthChecksWithOptions` in interface `ConsulClient`
      Parameters:
        `service` - the service name
        `options` - options used to request checks
        `resultHandler` - will be provided with list of checks
      Returns:
        reference to this, for fluency
      See Also:
        /v1/health/checks/:service endpoint

    - #### healthState

          ConsulService healthState(HealthState healthState,
                                    Handler<AsyncResult<CheckList>> handler)

      Description copied from interface: `ConsulClient`
      Returns the checks in the specified status
      Specified by:
        `healthState` in interface `ConsulClient`
      Parameters:
        `healthState` - the health state
        `handler` - will be provided with list of checks
      Returns:
        reference to this, for fluency
      See Also:
        /v1/health/state/:state endpoint

    - #### healthStateWithOptions

          ConsulService healthStateWithOptions(HealthState healthState,
                                               CheckQueryOptions checkQueryOptions,
                                               Handler<AsyncResult<CheckList>> handler)

      Description copied from interface: `ConsulClient`
      Returns the checks in the specified status
      Specified by:
        `healthStateWithOptions` in interface `ConsulClient`
      Parameters:
        `healthState` - the health state
        `checkQueryOptions` - options used to request checks
        `handler` - will be provided with list of checks
      Returns:
        reference to this, for fluency
      See Also:
        /v1/health/state/:state endpoint

    - #### healthServiceNodes

          ConsulService healthServiceNodes(String service,
                                           boolean passing,
                                           Handler<AsyncResult<ServiceEntryList>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the nodes providing the service. This endpoint is very similar to the `ConsulClient.catalogServiceNodes(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)` endpoint; however, this endpoint automatically returns the status of the associated health check as well as any system level health checks.
      Specified by:
        `healthServiceNodes` in interface `ConsulClient`
      Parameters:
        `service` - the service name
        `passing` - if true, filter results to only nodes with all checks in the passing state
        `resultHandler` - will be provided with list of services
      Returns:
        reference to this, for fluency
      See Also:
        /v1/health/service/:service endpoint

    - #### healthServiceNodesWithOptions

          ConsulService healthServiceNodesWithOptions(String service,
                                                      boolean passing,
                                                      ServiceQueryOptions options,
                                                      Handler<AsyncResult<ServiceEntryList>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the nodes providing the service. This endpoint is very similar to the `ConsulClient.catalogServiceNodesWithOptions(java.lang.String, io.vertx.ext.consul.ServiceQueryOptions, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)` endpoint; however, this endpoint automatically returns the status of the associated health check as well as any system level health checks.
      Specified by:
        `healthServiceNodesWithOptions` in interface `ConsulClient`
      Parameters:
        `service` - the service name
        `passing` - if true, filter results to only nodes with all checks in the passing state
        `options` - options used to request services
        `resultHandler` - will be provided with list of services
      Returns:
        reference to this, for fluency
      See Also:
        /v1/health/service/:service endpoint

    - #### catalogServiceNodes

          ConsulService catalogServiceNodes(String service,
                                            Handler<AsyncResult<ServiceList>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the nodes providing a service
      Specified by:
        `catalogServiceNodes` in interface `ConsulClient`
      Parameters:
        `service` - name of service
        `resultHandler` - will be provided with list of nodes providing given service
      Returns:
        reference to this, for fluency
      See Also:
        /v1/catalog/service/:service endpoint

    - #### catalogServiceNodesWithOptions

          ConsulService catalogServiceNodesWithOptions(String service,
                                                       ServiceQueryOptions options,
                                                       Handler<AsyncResult<ServiceList>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the nodes providing a service
      Specified by:
        `catalogServiceNodesWithOptions` in interface `ConsulClient`
      Parameters:
        `service` - name of service
        `options` - options used to request services
        `resultHandler` - will be provided with list of nodes providing given service
      Returns:
        reference to this, for fluency
      See Also:
        /v1/catalog/service/:service endpoint

    - #### catalogDatacenters

          ConsulService catalogDatacenters(Handler<AsyncResult<List<String>>> resultHandler)

      Description copied from interface: `ConsulClient`
      Return all the datacenters that are known by the Consul server
      Specified by:
        `catalogDatacenters` in interface `ConsulClient`
      Parameters:
        `resultHandler` - will be provided with list of datacenters
      Returns:
        reference to this, for fluency
      See Also:
        /v1/catalog/datacenters endpoint

    - #### catalogNodes

          ConsulService catalogNodes(Handler<AsyncResult<NodeList>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the nodes registered in a datacenter
      Specified by:
        `catalogNodes` in interface `ConsulClient`
      Parameters:
        `resultHandler` - will be provided with list of nodes
      Returns:
        reference to this, for fluency
      See Also:
        /v1/catalog/nodes endpoint

    - #### catalogNodesWithOptions

          ConsulService catalogNodesWithOptions(NodeQueryOptions options,
                                                Handler<AsyncResult<NodeList>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the nodes registered in a datacenter
      Specified by:
        `catalogNodesWithOptions` in interface `ConsulClient`
      Parameters:
        `options` - options used to request nodes
        `resultHandler` - will be provided with list of nodes
      Returns:
        reference to this, for fluency
      See Also:
        /v1/catalog/nodes endpoint

    - #### catalogServices

          ConsulService catalogServices(Handler<AsyncResult<ServiceList>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the services registered in a datacenter
      Specified by:
        `catalogServices` in interface `ConsulClient`
      Parameters:
        `resultHandler` - will be provided with list of services
      Returns:
        reference to this, for fluency
      See Also:
        /v1/catalog/services endpoint

    - #### catalogServicesWithOptions

          ConsulService catalogServicesWithOptions(BlockingQueryOptions options,
                                                   Handler<AsyncResult<ServiceList>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the services registered in a datacenter This is blocking query unlike `ConsulClient.catalogServices(Handler)`
      Specified by:
        `catalogServicesWithOptions` in interface `ConsulClient`
      Parameters:
        `options` - the blocking options
        `resultHandler` - will be provided with list of services
      Returns:
        reference to this, for fluency
      See Also:
        /v1/catalog/services endpoint

    - #### localServices

          ConsulService localServices(Handler<AsyncResult<List<Service>>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns list of services registered with the local agent.
      Specified by:
        `localServices` in interface `ConsulClient`
      Parameters:
        `resultHandler` - will be provided with list of services
      Returns:
        reference to this, for fluency
      See Also:
        /v1/agent/services endpoint

    - #### catalogNodeServices

          ConsulService catalogNodeServices(String node,
                                            Handler<AsyncResult<ServiceList>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the node's registered services
      Specified by:
        `catalogNodeServices` in interface `ConsulClient`
      Parameters:
        `node` - node name
        `resultHandler` - will be provided with list of services
      Returns:
        reference to this, for fluency
      See Also:
        /v1/catalog/node/:node endpoint

    - #### catalogNodeServicesWithOptions

          ConsulService catalogNodeServicesWithOptions(String node,
                                                       BlockingQueryOptions options,
                                                       Handler<AsyncResult<ServiceList>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the node's registered services This is blocking query unlike `ConsulClient.catalogNodeServices(String, Handler)`
      Specified by:
        `catalogNodeServicesWithOptions` in interface `ConsulClient`
      Parameters:
        `node` - node name
        `options` - the blocking options
        `resultHandler` - will be provided with list of services
      Returns:
        reference to this, for fluency
      See Also:
        /v1/catalog/node/:node endpoint

    - #### localChecks

          ConsulService localChecks(Handler<AsyncResult<List<Check>>> resultHandler)

      Description copied from interface: `ConsulClient`
      Return all the checks that are registered with the local agent.
      Specified by:
        `localChecks` in interface `ConsulClient`
      Parameters:
        `resultHandler` - will be provided with list of checks
      Returns:
        reference to this, for fluency
      See Also:
        /v1/agent/checks endpoint

    - #### registerCheck

          ConsulService registerCheck(CheckOptions checkOptions,
                                      Handler<AsyncResult<Void>> resultHandler)

      Description copied from interface: `ConsulClient`
      Add a new check to the local agent. The agent is responsible for managing the status of the check and keeping the Catalog in sync.
      Specified by:
        `registerCheck` in interface `ConsulClient`
      Parameters:
        `checkOptions` - options used to register new check
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency
      See Also:
        /v1/agent/check/register endpoint

    - #### deregisterCheck

          ConsulService deregisterCheck(String checkId,
                                        Handler<AsyncResult<Void>> resultHandler)

      Description copied from interface: `ConsulClient`
      Remove a check from the local agent. The agent will take care of deregistering the check from the Catalog.
      Specified by:
        `deregisterCheck` in interface `ConsulClient`
      Parameters:
        `checkId` - the ID of check
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency
      See Also:
        /v1/agent/check/deregister/:check_id endpoint

    - #### passCheck

          ConsulService passCheck(String checkId,
                                  Handler<AsyncResult<Void>> resultHandler)

      Description copied from interface: `ConsulClient`
      Set status of the check to "passing". Used with a check that is of the TTL type. The TTL clock will be reset.
      Specified by:
        `passCheck` in interface `ConsulClient`
      Parameters:
        `checkId` - the ID of check
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency
      See Also:
        /v1/agent/check/pass/:check_id endpoint, `CheckStatus`

    - #### passCheckWithNote

          ConsulService passCheckWithNote(String checkId,
                                          String note,
                                          Handler<AsyncResult<Void>> resultHandler)

      Description copied from interface: `ConsulClient`
      Set status of the check to "passing". Used with a check that is of the TTL type. The TTL clock will be reset.
      Specified by:
        `passCheckWithNote` in interface `ConsulClient`
      Parameters:
        `checkId` - the ID of check
        `note` - specifies a human-readable message. This will be passed through to the check's `Output` field.
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency
      See Also:
        /v1/agent/check/pass/:check_id endpoint, `CheckStatus`

    - #### warnCheck

          ConsulService warnCheck(String checkId,
                                  Handler<AsyncResult<Void>> resultHandler)

      Description copied from interface: `ConsulClient`
      Set status of the check to "warning". Used with a check that is of the TTL type. The TTL clock will be reset.
      Specified by:
        `warnCheck` in interface `ConsulClient`
      Parameters:
        `checkId` - the ID of check
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency
      See Also:
        /v1/agent/check/warn/:check_id endpoint, `CheckStatus`

    - #### warnCheckWithNote

          ConsulService warnCheckWithNote(String checkId,
                                          String note,
                                          Handler<AsyncResult<Void>> resultHandler)

      Description copied from interface: `ConsulClient`
      Set status of the check to "warning". Used with a check that is of the TTL type. The TTL clock will be reset.
      Specified by:
        `warnCheckWithNote` in interface `ConsulClient`
      Parameters:
        `checkId` - the ID of check
        `note` - specifies a human-readable message. This will be passed through to the check's `Output` field.
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency
      See Also:
        /v1/agent/check/warn/:check_id endpoint, `CheckStatus`

    - #### failCheck

          ConsulService failCheck(String checkId,
                                  Handler<AsyncResult<Void>> resultHandler)

      Description copied from interface: `ConsulClient`
      Set status of the check to "critical". Used with a check that is of the TTL type. The TTL clock will be reset.
      Specified by:
        `failCheck` in interface `ConsulClient`
      Parameters:
        `checkId` - the ID of check
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency
      See Also:
        /v1/agent/check/fail/:check_id endpoint, `CheckStatus`

    - #### failCheckWithNote

          ConsulService failCheckWithNote(String checkId,
                                          String note,
                                          Handler<AsyncResult<Void>> resultHandler)

      Description copied from interface: `ConsulClient`
      Set status of the check to "critical". Used with a check that is of the TTL type. The TTL clock will be reset.
      Specified by:
        `failCheckWithNote` in interface `ConsulClient`
      Parameters:
        `checkId` - the ID of check
        `note` - specifies a human-readable message. This will be passed through to the check's `Output` field.
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency
      See Also:
        /v1/agent/check/fail/:check_id endpoint, `CheckStatus`

    - #### updateCheck

          ConsulService updateCheck(String checkId,
                                    CheckStatus status,
                                    Handler<AsyncResult<Void>> resultHandler)

      Description copied from interface: `ConsulClient`
      Set status of the check to given status. Used with a check that is of the TTL type. The TTL clock will be reset.
      Specified by:
        `updateCheck` in interface `ConsulClient`
      Parameters:
        `checkId` - the ID of check
        `status` - new status of check
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency
      See Also:
        /v1/agent/check/update/:check_id endpoint

    - #### updateCheckWithNote

          ConsulService updateCheckWithNote(String checkId,
                                            CheckStatus status,
                                            String note,
                                            Handler<AsyncResult<Void>> resultHandler)

      Description copied from interface: `ConsulClient`
      Set status of the check to given status. Used with a check that is of the TTL type. The TTL clock will be reset.
      Specified by:
        `updateCheckWithNote` in interface `ConsulClient`
      Parameters:
        `checkId` - the ID of check
        `status` - new status of check
        `note` - specifies a human-readable message. This will be passed through to the check's `Output` field.
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency
      See Also:
        /v1/agent/check/update/:check_id endpoint

    - #### leaderStatus

          ConsulService leaderStatus(Handler<AsyncResult<String>> resultHandler)

      Description copied from interface: `ConsulClient`
      Get the Raft leader for the datacenter in which the agent is running. It returns an address in format "`10.1.10.12:8300`"
      Specified by:
        `leaderStatus` in interface `ConsulClient`
      Parameters:
        `resultHandler` - will be provided with address of cluster leader
      Returns:
        reference to this, for fluency
      See Also:
        /v1/status/leader endpoint

    - #### peersStatus

          ConsulService peersStatus(Handler<AsyncResult<List<String>>> resultHandler)

      Description copied from interface: `ConsulClient`
      Retrieves the Raft peers for the datacenter in which the the agent is running. It returns a list of addresses "`10.1.10.12:8300`", "`10.1.10.13:8300`"
      Specified by:
        `peersStatus` in interface `ConsulClient`
      Parameters:
        `resultHandler` - will be provided with list of peers
      Returns:
        reference to this, for fluency
      See Also:
        /v1/status/peers endpoint

    - #### createSession

          ConsulService createSession(Handler<AsyncResult<String>> idHandler)

      Description copied from interface: `ConsulClient`
      Initialize a new session
      Specified by:
        `createSession` in interface `ConsulClient`
      Parameters:
        `idHandler` - will be provided with ID of new session
      Returns:
        reference to this, for fluency
      See Also:
        /v1/session/create endpoint

    - #### createSessionWithOptions

          ConsulService createSessionWithOptions(SessionOptions options,
                                                 Handler<AsyncResult<String>> idHandler)

      Description copied from interface: `ConsulClient`
      Initialize a new session
      Specified by:
        `createSessionWithOptions` in interface `ConsulClient`
      Parameters:
        `options` - options used to create session
        `idHandler` - will be provided with ID of new session
      Returns:
        reference to this, for fluency
      See Also:
        /v1/session/create endpoint

    - #### infoSession

          ConsulService infoSession(String id,
                                    Handler<AsyncResult<Session>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the requested session information
      Specified by:
        `infoSession` in interface `ConsulClient`
      Parameters:
        `id` - the ID of requested session
        `resultHandler` - will be provided with info of requested session
      Returns:
        reference to this, for fluency
      See Also:
        /v1/session/info/:uuid endpoint

    - #### infoSessionWithOptions

          ConsulService infoSessionWithOptions(String id,
                                               BlockingQueryOptions options,
                                               Handler<AsyncResult<Session>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the requested session information This is blocking query unlike `ConsulClient.infoSession(String, Handler)`
      Specified by:
        `infoSessionWithOptions` in interface `ConsulClient`
      Parameters:
        `id` - the ID of requested session
        `options` - the blocking options
        `resultHandler` - will be provided with info of requested session
      Returns:
        reference to this, for fluency
      See Also:
        /v1/session/info/:uuid endpoint

    - #### renewSession

          ConsulService renewSession(String id,
                                     Handler<AsyncResult<Session>> resultHandler)

      Description copied from interface: `ConsulClient`
      Renews the given session. This is used with sessions that have a TTL, and it extends the expiration by the TTL
      Specified by:
        `renewSession` in interface `ConsulClient`
      Parameters:
        `id` - the ID of session that should be renewed
        `resultHandler` - will be provided with info of renewed session
      Returns:
        reference to this, for fluency
      See Also:
        /v1/session/renew/:uuid endpoint

    - #### listSessions

          ConsulService listSessions(Handler<AsyncResult<SessionList>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the active sessions
      Specified by:
        `listSessions` in interface `ConsulClient`
      Parameters:
        `resultHandler` - will be provided with list of sessions
      Returns:
        reference to this, for fluency
      See Also:
        /v1/session/list endpoint

    - #### listSessionsWithOptions

          ConsulService listSessionsWithOptions(BlockingQueryOptions options,
                                                Handler<AsyncResult<SessionList>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the active sessions This is blocking query unlike `ConsulClient.listSessions(Handler)`
      Specified by:
        `listSessionsWithOptions` in interface `ConsulClient`
      Parameters:
        `options` - the blocking options
        `resultHandler` - will be provided with list of sessions
      Returns:
        reference to this, for fluency
      See Also:
        /v1/session/list endpoint

    - #### listNodeSessions

          ConsulService listNodeSessions(String nodeId,
                                         Handler<AsyncResult<SessionList>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the active sessions for a given node
      Specified by:
        `listNodeSessions` in interface `ConsulClient`
      Parameters:
        `nodeId` - the ID of node
        `resultHandler` - will be provided with list of sessions
      Returns:
        reference to this, for fluency
      See Also:
        /v1/session/node/:node endpoint

    - #### listNodeSessionsWithOptions

          ConsulService listNodeSessionsWithOptions(String nodeId,
                                                    BlockingQueryOptions options,
                                                    Handler<AsyncResult<SessionList>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns the active sessions for a given node This is blocking query unlike `ConsulClient.listNodeSessions(String, Handler)`
      Specified by:
        `listNodeSessionsWithOptions` in interface `ConsulClient`
      Parameters:
        `nodeId` - the ID of node
        `options` - the blocking options
        `resultHandler` - will be provided with list of sessions
      Returns:
        reference to this, for fluency
      See Also:
        /v1/session/node/:node endpoint

    - #### destroySession

          ConsulService destroySession(String id,
                                       Handler<AsyncResult<Void>> resultHandler)

      Description copied from interface: `ConsulClient`
      Destroys the given session
      Specified by:
        `destroySession` in interface `ConsulClient`
      Parameters:
        `id` - the ID of session
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency
      See Also:
        /v1/session/destroy/:uuid endpoint

    - #### createPreparedQuery

          ConsulService createPreparedQuery(PreparedQueryDefinition definition,
                                            Handler<AsyncResult<String>> resultHandler)

      Specified by:
        `createPreparedQuery` in interface `ConsulClient`
      Parameters:
        `definition` - definition of the prepare query
        `resultHandler` - will be provided with id of created prepare query
      Returns:
        reference to this, for fluency
      See Also:
        /v1/query endpoint

    - #### getPreparedQuery

          ConsulService getPreparedQuery(String id,
                                         Handler<AsyncResult<PreparedQueryDefinition>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns an existing prepared query
      Specified by:
        `getPreparedQuery` in interface `ConsulClient`
      Parameters:
        `id` - the id of the query to read
        `resultHandler` - will be provided with definition of the prepare query
      Returns:
        reference to this, for fluency
      See Also:
        /v1/query/:uuid endpoint

    - #### getAllPreparedQueries

          ConsulService getAllPreparedQueries(Handler<AsyncResult<List<PreparedQueryDefinition>>> resultHandler)

      Description copied from interface: `ConsulClient`
      Returns a list of all prepared queries.
      Specified by:
        `getAllPreparedQueries` in interface `ConsulClient`
      Parameters:
        `resultHandler` - will be provided with list of definitions of the all prepare queries
      Returns:
        reference to this, for fluency
      See Also:
        /v1/query endpoint

    - #### updatePreparedQuery

          ConsulService updatePreparedQuery(PreparedQueryDefinition definition,
                                            Handler<AsyncResult<Void>> resultHandler)

      Specified by:
        `updatePreparedQuery` in interface `ConsulClient`
      Parameters:
        `definition` - definition of the prepare query
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency
      See Also:
        /v1/query/:uuid endpoint

    - #### deletePreparedQuery

          ConsulService deletePreparedQuery(String id,
                                            Handler<AsyncResult<Void>> resultHandler)

      Description copied from interface: `ConsulClient`
      Deletes an existing prepared query
      Specified by:
        `deletePreparedQuery` in interface `ConsulClient`
      Parameters:
        `id` - the id of the query to delete
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency
      See Also:
        /v1/query/:uuid endpoint

    - #### executePreparedQuery

          ConsulService executePreparedQuery(String query,
                                             Handler<AsyncResult<PreparedQueryExecuteResponse>> resultHandler)

      Description copied from interface: `ConsulClient`
      Executes an existing prepared query.
      Specified by:
        `executePreparedQuery` in interface `ConsulClient`
      Parameters:
        `query` - the ID of the query to execute. This can also be the name of an existing prepared query, or a name that matches a prefix name for a prepared query template.
        `resultHandler` - will be provided with response
      Returns:
        reference to this, for fluency
      See Also:
        /v1/query/:uuid/execute endpoint

    - #### executePreparedQueryWithOptions

          ConsulService executePreparedQueryWithOptions(String query,
                                                        PreparedQueryExecuteOptions options,
                                                        Handler<AsyncResult<PreparedQueryExecuteResponse>> resultHandler)

      Description copied from interface: `ConsulClient`
      Executes an existing prepared query.
      Specified by:
        `executePreparedQueryWithOptions` in interface `ConsulClient`
      Parameters:
        `query` - the ID of the query to execute. This can also be the name of an existing prepared query, or a name that matches a prefix name for a prepared query template.
        `options` - the options used to execute prepared query
        `resultHandler` - will be provided with response
      Returns:
        reference to this, for fluency
      See Also:
        /v1/query/:uuid/execute endpoint

    - #### close

          void close()

      Description copied from interface: `ConsulClient`
      Close the client and release its resources
      Specified by:
        `close` in interface `ConsulClient`

Copyright © 2019 Eclipse. All rights reserved.